de.caff.generics.converter

## Class TransitiveTypeConverter<T,I,S>

- java.lang.Object
- - de.caff.generics.converter.TransitiveTypeConverter<T,I,S>

- Type Parameters:
    `T` - target type
    `I` - intermediate type
    `S` - soucre type
  All Implemented Interfaces:
    Function1<T,S>, java.util.function.Function<S,T>

      public class TransitiveTypeConverter<T,I,S>
      extends java.lang.Object
      implements Function1<T,S>

  A two step type converter. This converter does conversion via an intermediate step.
  Author:
    Rammi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransitiveTypeConverter(java.util.function.Function<I,T> secondStep, java.util.function.Function<S,? extends I> firstStep)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `apply(S object)` Convert an object to another type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface de.caff.generics.function.Function1

      `after, andThen, applyNonNull, applyOrDefault, fallback, fallback, from, from, nonFragile, nonFragile, nonFragileX, partial, withFallback`

    - ### Methods inherited from interface java.util.function.Function

      `compose, identity`

- - ### Constructor Detail

    - #### TransitiveTypeConverter

          public TransitiveTypeConverter(@NotNull
                                         java.util.function.Function<I,T> secondStep,
                                         @NotNull
                                         java.util.function.Function<S,? extends I> firstStep)

      Constructor.
      Parameters:
        `secondStep` - second conversion step
        `firstStep` - first conversion step

  - ### Method Detail

    - #### apply

          public T apply(S object)

      Convert an object to another type.
      Specified by:
        `apply` in interface `java.util.function.Function<S,T>`
      Parameters:
        `object` - object to convert
      Returns:
        target object